using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_User:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_User
	{
		public Dd_User()
		{}
		#region Model
		private int _user_id;
		private string _user_blogname;
		private string _user_email;
		private string _user_originpsw;
		private string _user_passwd;
		private string _user_attetion;
		private int _user_activcondition=0;
		private string _user_headphoto;
		private string _user_blacklist;
		private string _user_likearticle;
		private string _user_guid;
		private DateTime? _user_datetime= DateTime.Now;
		private DateTime? _user_updatetime= DateTime.Now;
		private int? _user_verify;
		private int? _user_lock;
		private int? _user_state;
		private int? _user_delete;
		private int? _user_count;
		private int? _user_order;
		private string _user_remark;
		/// <summary>
		/// 用户的唯一标识
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 用户blog名
		/// </summary>
		public string User_BlogName
		{
			set{ _user_blogname=value;}
			get{return _user_blogname;}
		}
		/// <summary>
		/// 用户的注册邮箱
		/// </summary>
		public string User_Email
		{
			set{ _user_email=value;}
			get{return _user_email;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string User_OriginPsw
		{
			set{ _user_originpsw=value;}
			get{return _user_originpsw;}
		}
		/// <summary>
		/// 用户的密码
		/// </summary>
		public string User_Passwd
		{
			set{ _user_passwd=value;}
			get{return _user_passwd;}
		}
		/// <summary>
		/// 用户关注对象存放User_Guid逗号隔开
		/// </summary>
		public string User_Attetion
		{
			set{ _user_attetion=value;}
			get{return _user_attetion;}
		}
		/// <summary>
		/// 用户激活状态
		/// </summary>
		public int User_ActivCondition
		{
			set{ _user_activcondition=value;}
			get{return _user_activcondition;}
		}
		/// <summary>
		/// 用户头像路径
		/// </summary>
		public string User_HeadPhoto
		{
			set{ _user_headphoto=value;}
			get{return _user_headphoto;}
		}
		/// <summary>
		/// 存放用户拉黑的用户User_Guid逗号隔开
		/// </summary>
		public string User_BlackList
		{
			set{ _user_blacklist=value;}
			get{return _user_blacklist;}
		}
		/// <summary>
		/// 存放用户喜欢的文章|文章类型，文章ID
		/// </summary>
		public string User_LikeArticle
		{
			set{ _user_likearticle=value;}
			get{return _user_likearticle;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string User_Guid
		{
			set{ _user_guid=value;}
			get{return _user_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? User_Datetime
		{
			set{ _user_datetime=value;}
			get{return _user_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? User_UpDatetime
		{
			set{ _user_updatetime=value;}
			get{return _user_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? User_Verify
		{
			set{ _user_verify=value;}
			get{return _user_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? User_Lock
		{
			set{ _user_lock=value;}
			get{return _user_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? User_State
		{
			set{ _user_state=value;}
			get{return _user_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? User_Delete
		{
			set{ _user_delete=value;}
			get{return _user_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? User_Count
		{
			set{ _user_count=value;}
			get{return _user_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? User_Order
		{
			set{ _user_order=value;}
			get{return _user_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string User_Remark
		{
			set{ _user_remark=value;}
			get{return _user_remark;}
		}
		#endregion Model

	}
}

